## org.eclipse.datatools.connectivity.sqm.internal.core.rte
Interface DDLGenerator

public interface DDLGenerator

Method Summary
`java.lang.String[]` `createSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, IProgressMonitor progressMonitor)`
`java.lang.String[]` `dropSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, IProgressMonitor progressMonitor)`
`java.lang.String[]` `generateDDL(SQLObject[] elements, IProgressMonitor progressMonitor)`
`EngineeringOptionCategory[]` `getOptionCategories()`
`EngineeringOption[]` `getOptions()`

Method Detail

### generateDDL

    public java.lang.String[] generateDDL(SQLObject[] elements,
                                          IProgressMonitor progressMonitor)

### createSQLObjects

    public java.lang.String[] createSQLObjects(SQLObject[] elements,
                                               boolean quoteIdentifiers,
                                               boolean qualifyNames,
                                               IProgressMonitor progressMonitor)

### dropSQLObjects

    public java.lang.String[] dropSQLObjects(SQLObject[] elements,
                                             boolean quoteIdentifiers,
                                             boolean qualifyNames,
                                             IProgressMonitor progressMonitor)

### getOptions

    public EngineeringOption[] getOptions()

### getOptionCategories

    public EngineeringOptionCategory[] getOptionCategories()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.